PHTML::Note Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Note:

## Public Member Functions

| Note (const char *image=NULL, const char *attr=NULL)
virtual | ~Note ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }
Protected Member Functions inherited from PHTML::ImageElement
| ImageElement (const char *nam, const char *attr, ElementInSet elmt, ElementInSet req, OptionalCRLF opt, const char *image)
virtual | ~ImageElement ()
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const
Protected Attributes inherited from PHTML::ImageElement
const char * | srcString

## Constructor & Destructor Documentation

## Note()

PHTML::Note::Note | ( | const char * | image = `NULL`,
|  | const char * | attr = `NULL`
| ) |  |

## ~Note()

virtual PHTML::Note::~Note | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- html.h